Bug 107531 - dnssec-keygen fails with new openssl package: openssl failure
dnssec-keygen fails with new openssl package: openssl failure
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: bind (Show other bugs)
9
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-20 03:01 EDT by Andre
Modified: 2007-04-18 12:58 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-22 09:31:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andre 2003-10-20 03:01:24 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20030131

Description of problem:
dnssec-keygen no longer works when openssl-0.9.7a-20 is installed. 
dnssec-signzone also fails with an existing key (which means that dnssec can no
longer be used).

Version-Release number of selected component (if applicable):
bind-9.2.1-16
openssl-0.9.7a-20

How reproducible:
Always

Steps to Reproduce:
1. dnssec-keygen -a DSA -b 1024 -n ZONE test.domain


Actual Results:  dnssec-keygen: failed to generate key test.domain/DSA: openssl
failure

Expected Results:  should generate a key

Additional info:
Comment 1 Daniel Walsh 2003-10-22 09:31:42 EDT
Please attempt with latest bind
bind-9.2.2.P3-8
Comment 2 Andre 2003-10-22 23:25:58 EDT
I tried it with bind-9.2.2.P3-9 (couldn't find -8) and both the key generation
and the zone signature seem to work with this openssl.  Thanks. (Will there be
an errata for Redhat 9?)

Note You need to log in before you can comment on or make changes to this bug.